Get workflow inputs
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/inputs \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"inputs": [
{
"name": "<string>",
"required": true,
"schema": {},
"defaultValue": "<unknown>",
"description": "<string>"
}
]
}Workflows
Get workflow inputs
Get the input variable names a workflow accepts at execution time
GET
/
agents
/
{agentId}
/
workflows
/
{workflowId}
/
inputs
Get workflow inputs
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/agents/{agentId}/workflows/{workflowId}/inputs \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"inputs": [
{
"name": "<string>",
"required": true,
"schema": {},
"defaultValue": "<unknown>",
"description": "<string>"
}
]
}Authorizations
Path Parameters
The ID of the agent
The ID of the workflow
Response
The request has succeeded.
The typed inputs a workflow declares
Typed input definitions the workflow accepts at execution time
Show child attributes
Show child attributes
⌘I

